camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Thomas Diesler (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CAMEL-6427) Camel JMS does not resolve against javax.jms 2.0 API
Date Thu, 27 Jun 2013 10:52:20 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-6427?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13694611#comment-13694611
] 

Thomas Diesler edited comment on CAMEL-6427 at 6/27/13 10:52 AM:
-----------------------------------------------------------------

camel-jms has a dependency on spring-jms, which has the same issue

XPackageRequirement[dirs={filter=(&(osgi.wiring.package=javax.jms)(&(version>=1.1.0)(!(version>=2.0.0))))},[org.springframework.jms:3.1.4.RELEASE]]

The spring dependency probably needs to be updated too
                
      was (Author: tdiesler):
    camel-jms has a dependency on spring-jms, which has the same issue

{code}
XPackageRequirement[dirs={filter=(&(osgi.wiring.package=javax.jms)(&(version>=1.1.0)(!(version>=2.0.0))))},[org.springframework.jms:3.1.4.RELEASE]]
{code}

The spring dependency probably needs to be updated too
                  
> Camel JMS does not resolve against javax.jms 2.0 API
> ----------------------------------------------------
>
>                 Key: CAMEL-6427
>                 URL: https://issues.apache.org/jira/browse/CAMEL-6427
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-jms
>    Affects Versions: 2.11.0
>            Reporter: Thomas Diesler
>            Assignee: Claus Ibsen
>             Fix For: 2.11.1, 2.12.0
>
>
> The camel-jms bundle imports javax.jms;version="[1.1,2)" which excludes the 2.0 API

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message